package de.intevation.artifactdatabase;

import java.util.HashMap;

import org.w3c.dom.Document;

/**
 * Default implementation of the context.
 * Besides of the configuration it hosts a map to store key/value pairs.
 *
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultArtifactContext
{
    protected Document config;

    protected HashMap  map;

    public DefaultArtifactContext() {
        this(null);
    }

    public DefaultArtifactContext(Document config) {
        this.config = config;
        map = new HashMap();
    }

    public synchronized Object get(Object key) {
        return map.get(key);
    }

    public synchronized Object put(Object key, Object value) {
        return map.put(key, value);
    }

    public Document getConfig() {
        return config;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
